## org.apache.maven.plugins.site
Class SiteStageDeployMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.maven.plugins.site.AbstractSiteMojo
              org.apache.maven.plugins.site.AbstractSiteRenderingMojo
                  org.apache.maven.plugins.site.SiteMojo
                      org.apache.maven.plugins.site.SiteStageMojo
                          org.apache.maven.plugins.site.SiteStageDeployMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class SiteStageDeployMojo

extends SiteStageMojo
implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

Deploys the generated site to a staging or mock directory to the site URL specified in the `<distributionManagement>` section of the POM. It supports `scp` and `file` protocols for deployment.

Version:
  $Id: SiteStageDeployMojo.java 798916 2009-07-29 14:21:09Z ltheussl $
Author:
  Vincent Siveton

Field Summary

Fields inherited from class org.apache.maven.plugins.site.SiteStageMojo
`DEFAULT_STAGING_DIRECTORY, stagingDirectory`

Fields inherited from class org.apache.maven.plugins.site.SiteMojo
`outputDirectory`

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteRenderingMojo
`artifactFactory, artifactResolver, assembler, attributes, generatedSiteDirectory, moduleExcludes, reports, repositories, siteRenderer`

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`i18n, locales, localRepository, project, reactorProjects, siteDirectory, siteTool`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`SiteStageDeployMojo()`

Method Summary
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`void` `execute()` Generate the project site throws MojoExecutionException if any
`protected java.lang.String` `getStagingSiteURL(org.apache.maven.project.MavenProject currentProject, java.util.List reactorProjects, java.lang.String usersStagingSiteURL)` Find the URL where staging will take place.

Methods inherited from class org.apache.maven.plugins.site.SiteStageMojo
`getStagingDirectory, getStructure, getTopLevelProject`

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteRenderingMojo
`categoriseReports, createSiteRenderingContext, filterReports, locateDocuments, locateReports`

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`getInputEncoding, getOutputEncoding, populateReportItems, toRelative`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteStageDeployMojo

    public SiteStageDeployMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Generate the project site

  throws MojoExecutionException if any

  Specified by:
    `execute` in interface `org.apache.maven.plugin.Mojo`
  Overrides:
    `execute` in class `SiteStageMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`
  See Also:
    `Mojo.execute()`

### contextualize

    public void contextualize(org.codehaus.plexus.context.Context context)
                       throws org.codehaus.plexus.context.ContextException

  Specified by:
    `contextualize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable`
  Throws:
    `org.codehaus.plexus.context.ContextException`

### getStagingSiteURL

    protected java.lang.String getStagingSiteURL(org.apache.maven.project.MavenProject currentProject,
                                                 java.util.List reactorProjects,
                                                 java.lang.String usersStagingSiteURL)

  Find the URL where staging will take place.

  Parameters:
    `currentProject` - The currently executing project
    `reactorProjects` - The projects in the reactor
    `usersStagingSiteURL` - The staging site URL as suggested by the user's configuration
  Returns:
    the site URL for staging

Copyright © 2011. All Rights Reserved.